""" Copyright start
  Copyright (C) 2008 - 2022 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """

from django.urls import path
from django.views.generic.base import RedirectView
from expression_builder.views import expressions_view


urlpatterns = [
    path('', RedirectView.as_view(url='/api/', permanent=False)),

    path('expressions/', expressions_view, name='expressions-template-view'),
]
