# -*- coding: utf-8 -*-
""" Copyright start
  Copyright (C) 2008 - 2022 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """
from __future__ import unicode_literals

from django.db import models, migrations
import datetime
from django.utils.timezone import utc


class Migration(migrations.Migration):

    dependencies = [
        ('workflow', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='queuedworkflow',
            name='modified',
            field=models.DateTimeField(default=datetime.datetime(2015, 11, 2, 18, 45, 31, 301734, tzinfo=utc), auto_now=True),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='runningworkflow',
            name='modified',
            field=models.DateTimeField(default=datetime.datetime(2015, 11, 2, 18, 45, 39, 447807, tzinfo=utc), auto_now=True),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='step',
            name='created',
            field=models.DateTimeField(default=datetime.datetime(2015, 11, 2, 18, 45, 43, 822768, tzinfo=utc), auto_now_add=True),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='step',
            name='modified',
            field=models.DateTimeField(default=datetime.datetime(2015, 11, 2, 18, 45, 47, 828729, tzinfo=utc), auto_now=True),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='workflow',
            name='created',
            field=models.DateTimeField(default=datetime.datetime(2015, 11, 2, 18, 45, 52, 924707, tzinfo=utc), auto_now_add=True),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='workflow',
            name='modified',
            field=models.DateTimeField(default=datetime.datetime(2015, 11, 2, 18, 45, 58, 956633, tzinfo=utc), auto_now=True),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='step',
            name='status',
            field=models.CharField(default='paused', choices=[('active', 'active'), ('paused', 'paused'), ('failed', 'failed'), ('awaiting', 'awaiting'), ('finished', 'finished')], max_length=30),
        ),
        migrations.AlterField(
            model_name='workflow',
            name='status',
            field=models.CharField(default='queued', choices=[('queued', 'queued'), ('active', 'active'), ('paused', 'paused'), ('failed', 'failed'), ('finished', 'finished')], max_length=30),
        ),
    ]
