# -*- coding: utf-8 -*-
""" Copyright start
  Copyright (C) 2008 - 2022 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """
from __future__ import unicode_literals

from django.db import models, migrations
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('workflow', '0010_auto_20151109_1529'),
    ]

    operations = [
        migrations.AlterField(
            model_name='step',
            name='reference',
            field=models.ForeignKey(to='workflow.Workflow', null=True, blank=True, on_delete=django.db.models.deletion.SET_NULL),
        ),
        migrations.AlterField(
            model_name='step',
            name='task',
            field=models.CharField(max_length=500, default='', choices=[('sealab.celery.debug_task', 'sealab.celery.debug_task'), ('workflow.tasks.EvalWorkflow', 'workflow.tasks.EvalWorkflow'), ('workflow.tasks.FailedWorkflowTask', 'workflow.tasks.FailedWorkflowTask'), ('workflow.tasks.JsonWfToSlModel', 'workflow.tasks.JsonWfToSlModel'), ('workflow.tasks.TaskTest', 'workflow.tasks.TaskTest'), ('workflow.tasks.WorkflowEngine', 'workflow.tasks.WorkflowEngine'), ('workflow.tasks.WorkflowTest', 'workflow.tasks.WorkflowTest'), ('workflow.tasks.queueWorkflow', 'workflow.tasks.queueWorkflow')]),
        ),
        migrations.AlterField(
            model_name='step',
            name='workflow',
            field=models.ForeignKey(to='workflow.Workflow', related_name='owner', on_delete=models.DO_NOTHING),
        ),
    ]
