# -*- coding: utf-8 -*-
""" Copyright start
  Copyright (C) 2008 - 2022 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """
from __future__ import unicode_literals

from django.db import models, migrations
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('workflow', '0009_auto_20151105_0905'),
    ]

    operations = [
        migrations.AddField(
            model_name='step',
            name='reference',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='workflow.Workflow', blank=True, related_name='recursive_workflow'),
        ),
        migrations.AlterField(
            model_name='step',
            name='initial',
            field=models.BooleanField(default=False),
        ),
        migrations.AlterField(
            model_name='step',
            name='task',
            field=models.CharField(choices=[('No tasks avaliable', 'No tasks avaliable')], max_length=500, default=''),
        ),
    ]
